Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.layout1
Class FormatterSimple

    java.lang.Object
      com.hp.hpl.jena.sdb.sql.SDBConnectionHolder
          com.hp.hpl.jena.sdb.store.StoreFormatterBase
              com.hp.hpl.jena.sdb.layout1.FormatterSimple

All Implemented Interfaces:
  StoreFormatter

Direct Known Subclasses:
  FormatterSimpleDB2, FormatterSimpleDerby, FormatterSimpleH2, FormatterSimpleHSQL, FormatterSimpleMySQL, FormatterSimpleOracle, FormatterSimplePGSQL, FormatterSimpleSQLServer

    public abstract class FormatterSimple

extends StoreFormatterBase

Field Summary
`static int` | `UriWidth`

Constructor Summary
`FormatterSimple(SDBConnection connection)`

Method Summary
`void` | `addIndexes()` Add indexes - these are kept upto date for any future additions or deletions of data
`void` | `dropIndexes()` Drop indexes for triple/node tables

Methods inherited from class com.hp.hpl.jena.sdb.store.StoreFormatterBase
`create`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.hp.hpl.jena.sdb.store.StoreFormatter
`format, truncate`

Field Detail

### UriWidth

    public static int UriWidth

Constructor Detail

### FormatterSimple

    public FormatterSimple(SDBConnection connection)

Method Detail

### addIndexes

    public void addIndexes()

  Description copied from interface: `StoreFormatter`
  Add indexes - these are kept upto date for any future additions or deletions of data

### dropIndexes

    public void dropIndexes()

  Description copied from interface: `StoreFormatter`
  Drop indexes for triple/node tables

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.